## gyoto 1.4.4

=== debian/changelog ===
gyoto (1.4.4-3) unstable; urgency=high

  * Avoid FTBFS on mips64el due to bug in libflint-arb2

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 09 Mar 2020 17:03:13 +0100

gyoto (1.4.4-2) unstable; urgency=high

  * Bug fix: "gyoto FTBFS on armel, armhf, mipsel and mips64el", thanks to
    peter green (Closes: #953151). Skip FlaredDiskSynchrotron in Python
    test suite to avoid triggering a minor bug that is not fixable without
    breaking the ABI.

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 06 Mar 2020 10:02:20 +0100

gyoto (1.4.4-1) unstable; urgency=low

  * New upstream release
  * Rename variable ADTTMP to AUTOPKGTEST_TMP in test suite.

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 28 Feb 2020 20:38:23 +0100

gyoto (1.4.3-2) unstable; urgency=low

  * Bug fix: "gyoto build depends on the removed swig3.0", thanks to
    Adrian Bunk (Closes: #952598).

 -- Thibaut Paumard <thibaut@debian.org>  Thu, 27 Feb 2020 17:25:52 +0100
