=== debian/control ===
Source: gyoto
Section: science
Priority: optional
Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <thibaut@debian.org>
Build-Depends: debhelper-compat (= 12), yorick-dev, yorick-yutils,
	       libxerces-c-dev, libcfitsio-dev, libudunits2-dev, automake,
	       libboost-dev (>= 1.53.1), libboost-mpi-dev,
	       libflint-arb-dev, libflint-dev,
	       mpi-default-dev, dh-python,
	       python3-all-dev, python3-setuptools,
	       swig, python3-numpy, doxygen, dh-exec (>=0.3),
	       pkg-config, liblorene-dev, lorene-codes-src, gfortran,
	       g++ (>= 4:7)
Build-Depends-Indep: doxygen-latex,
               texlive-bibtex-extra, texlive-latex-base,
               texlive-lang-french, tipa
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/science-team/gyoto.git
Vcs-Browser: https://salsa.debian.org/science-team/gyoto
Homepage: http://gyoto.obspm.fr

Package: gyoto
Architecture: all
Multi-Arch: allowed
Depends: gyoto-bin     (>= ${source:Version}),
         yorick-gyoto  (>= ${source:Version}),
         python3-gyoto (>= ${source:Version}),
         libgyoto8-dev (>= ${source:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Recommends: mpi-default-bin
Suggests: gyoto-doc
Description: General relativistic geodesic integration and ray-tracing
 Gyoto is a framework for computing geodesics in curved
 space-times. The gyoto utility program uses this framework to compute
 images of astronomical objects in the vicinity of compact objects
 (e.g. black-holes). Such images are distorted by strong gravitational
 lensing. The gyoto program takes a scenery description in XML format,
 computes this scenery using relativistic ray-tracing, and saves the
 result in FITS format.
 .
 This metapackage depends on all the Gyoto interfaces (command-line,
 Python 3 and Yorick).
 .
 MPI parallelization requires the mpi-default-bin package. The Gyoto
 documentation is provided in the gyoto-doc package.

Package: gyoto-bin
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: mpi-default-bin, python3-gyoto, python3-opencv
Replaces: gyoto (<< 1.1.0~)
Breaks:   gyoto (<< 1.1.0~)
Description: General relativistic ray-tracing command-line interface
 Gyoto is a framework for computing geodesics in curved
 space-times. The gyoto utility program uses this framework to compute
 images of astronomical objects in the vicinity of compact objects
 (e.g. black-holes). Such images are distorted by strong gravitational
 lensing. The gyoto program takes a scenery description in XML format,
 computes this scenery using relativistic ray-tracing, and saves the
 result in FITS format.
 .
 This package contains the `gyoto' command-line utility. More complex
 uses of the Gyoto framework can be achieved using the python3-gyoto
 or yorick-gyoto packages. Gyoto can be extended with plug-ins (see
 libgyoto8-dev).
 .
 MPI parallelization requires the mpi-default-bin package. Producing
 videos requires the python3-gyoto and python3-opencv packages.

Package: libgyoto8
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
	 ${python3:Depends},
Pre-Depends: ${misc:Pre-Depends}
Recommends: gyoto-bin (>= ${binary:Version}), mpi-default-bin
Description: Gyoto framework main library an standard plug-in
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity. It consists in a shared
 library (this package), utility programs (in the gyoto package), and
 a plug-in for the Python 3 and Yorick programming languages (in
 python3-gyoto and yorick-gyoto respectively). Gyoto can be extended
 with plug-ins (see libgyoto8-dev).
 .
 The standard plugin (stdplug) is included in this package. A plug-in
 for extending Gyoto in the Python 3 language is shipped in the
 python3-gyoto packages.
 .
 MPI parallelization requires the gyoto-bin and mpi-default-bin packages.

Package: libgyoto8-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends},
         libgyoto8 (= ${binary:Version}),
         libc-dev, libxerces-c-dev, libcfitsio-dev, libudunits2-dev,
         libboost-dev (>= 1.53.1), libboost-mpi-dev, mpi-default-dev,
         pkg-config
Replaces: libgyoto2-dev, libgyoto4-dev, libgyoto6-dev, libgyoto7-dev
Breaks:   libgyoto2-dev, libgyoto4-dev, libgyoto6-dev, libgyoto7-dev
Description: development files for libgyoto
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity.
 .
 This package provides the files necessary to compile Gyoto plugins
 and codes using the libgyoto library.

Package: yorick-gyoto
Architecture: any
Multi-Arch: allowed
Depends: ${shlibs:Depends}, ${misc:Depends},
	 yorick (>= 2.1.05), yorick-yutils (>= 1.3), yorick-gy, gir1.2-gtk-3.0
Description: General relativistic geodesic integration for the Yorick language
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity.
 .
 This package provides a plug-in for the Yorick programming language
 exposing the Gyoto facilities. It allows using Gyoto interactively
 from the yorick prompt or running complex Gyoto scripts.

Package: python3-gyoto
Architecture: any
Multi-Arch: allowed
Section: python
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Recommends: python3-opencv
Provides: ${python3:Provides}
Description: General relativistic geodesic integration for the Python 3 language
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity.
 .
 This package also includes a Gyoto plug-in allowing to write new
 Gyoto objects in the Python 3 language.
 .
 This package provides an extension for the Python 3 programming language
 exposing the Gyoto facilities. It allows using Gyoto interactively
 from the Python 3 prompt or running complex Gyoto scripts.
 .
 Producing videos requires the python3-opencv package.

Package: gyoto-doc
Architecture: all
Multi-Arch:foreign
Section: doc
Depends: ${misc:Depends}
Replaces: gyoto (<< 1.3.0~)
Breaks:   gyoto (<<1.3.0~)
Description: documentation for the Gyoto library
 Gyoto aims at providing a framework for computing orbits and
 ray-traced images in General relativity. It consists in a library
 (libgyoto), utility programs, and a plug-in for the Yorick programming
 language.
 .
 This package contains the Gyoto Reference Manual.
