=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/Gyoto-$1.tar.gz/ \
  https://github.com/gyoto/Gyoto/tags .*/archive/v?(\d\S*)\.tar\.gz
