## gyoto 2.0.1

=== debian/changelog ===
gyoto (2.0.1-1) unstable; urgency=medium

  * Acknowledge NMU (thanks Doug)
  * New upstream release introducing new ABI
    - Remove configure flags for flint3, now autodetected upstream
    - Remove patches gcc1, python_tests, autoreconf2.70, startrace,
      Unit__str__, numpy_array, getargspec and flint3, applied (or better
      fixed) upstream
    - Add patch python-tests
  * Add libeigen3-dev to Build-Depends
  * Check against policy 4.6.2
  * Bug fix: "SyntaxWarning during package installation", thanks to
    Andreas Beckmann (Closes: #1040285).

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 17 Jan 2024 23:35:33 +0100

gyoto (1.4.4-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control
    - Drop libflint-arb-dev from Build-Depends.
  * debian/patches/flint3
    - New patch; add support for building against FLINT 3
      (Closes: #1059137).
  * debian/rules
    - Add configure options for building against FLINT 3

 -- Doug Torrance <dtorrance@debian.org>  Mon, 08 Jan 2024 20:23:31 -0500

gyoto (1.4.4-8) unstable; urgency=low

  * Bug fix: "FTBFS in unstable on arm64, mipsel and s390x", thanks to
    Graham Inggs (Closes: #1017050).
  * Bug fix: replace "_fromnumpy" by ".fromnumpy" in several places.
    The fact that "_fromnumpy" used to work was probably a Swig bug.
  * In Python plug-in, use getfullargspec instead of deprecated getargspec
    when it exists.

 -- Thibaut Paumard <thibaut@debian.org>  Sun, 27 Nov 2022 18:08:48 +0100

gyoto (1.4.4-7) unstable; urgency=low

  * Bug fix: "StarTrace::tmin_ is not initialised", thanks to Paul Gevers
    (Closes: #994784). Reverted affected test gyoto-mpi to let gyoto spawn
    the additional processes again.

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 16 Oct 2021 13:19:43 +0200

gyoto (1.4.4-6) unstable; urgency=low

  * Bug fix: "ftbfs with GCC-11", thanks to Matthias Klose (Closes:
    #984164).

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 15 Oct 2021 17:59:27 +0200

gyoto (1.4.4-5) unstable; urgency=high

  * Change gyoto-mpi test to let openmpi launch the process instead of
    having gyoto spawn them. This should work around #994784.

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 24 Sep 2021 10:49:39 +0200

gyoto (1.4.4-4) unstable; urgency=medium

  * Bug fix: "ftbfs with autoconf 2.70", thanks to Matthias Klose and
    Étienne Mollier (Closes: #978831).
  * Bump standards version
  * Update watch file
  * Replace ADTTMP by AUTOPKGTEST_TMP in Debian tests
  * Remove '--dbgsym-migration' from rules file (migration is complete)
  * Install ygyoto_idx.h

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 22 Sep 2021 16:24:19 +0200
