## gyoto 2.0.2

=== debian/changelog ===
gyoto (2.0.2-7) unstable; urgency=medium

  * Bug fix: "autopkgtest regression with NumPy 2.3", thanks to Timo
    Röhling (Closes: #1116436). New patch numpy23.
  * Unable parallel builds.
  * Build-depend on python3-numpy-dev which provides dh_numpy3.
  * Updated watch file to version 5.
  * Checked against Policy 4.7.2.

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 21 Oct 2025 15:15:52 +0200

gyoto (2.0.2-6) unstable; urgency=medium

  * Bug fix: "FTBFS: core_wrap.cxx:31768:41: error: too few arguments to
    function âPyObject* SWIG_Python_AppendOutput(PyObject*,
    PyObject*, int)â", thanks to Santiago Vila (Closes: #1091938).
    Introduce patch update-numpy.i, backport from upstream's git
    repository.

 -- Thibaut Paumard <thibaut@debian.org>  Mon, 03 Feb 2025 16:18:37 +0100

gyoto (2.0.2-5) unstable; urgency=medium

  * Work around MPI_Init raising SIGFPE in OpenMPI 5. New patch openmpi5.
  * Add --oversubscribe to mpirun.openmpi call in autopkg tests.

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 07 Dec 2024 12:23:22 +0100

gyoto (2.0.2-4) unstable; urgency=medium

  * Bug fix: "/usr/include/boost/mpi/config.hpp:22:10: fatal error: mpi.h:
    No such file or directory", thanks to Stefano Rivera (Closes:
    #1080222). New patch python-cxx.
  * Call unittest explicitly. New patch unittest.

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 13 Sep 2024 17:31:05 +0200

gyoto (2.0.2-3) unstable; urgency=medium

  * Bug fix: "gyoto FTBFS when MPICH is the default implementation because
    it lacks mpic++.mpich" (Closes: #1077267).
  * Fix autopkgtest MPI tests to work with MPICH.

 -- Thibaut Paumard <thibaut@debian.org>  Sat, 27 Jul 2024 19:55:09 +0200

gyoto (2.0.2-2) unstable; urgency=medium

  [ Colin Watson ]
  * Remove undefined operator<< declaration for PolishDoughnut (closes:
    #1066788).

  [ Thibaut Paumard ]
  * Acknowledge NMU.
  * Change dependencies from pkg-config to pkgconf.

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 26 Jul 2024 08:05:37 +0200

gyoto (2.0.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064093

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 09:34:26 +0000

gyoto (2.0.2-1) unstable; urgency=medium

  * New upstream release
    - remove patch python-tests
  * Try mk-video for each available Python

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 19 Jan 2024 21:57:12 +0100
