=== debian/control ===
--- 
+++ 
@@ -3,19 +3,19 @@
 Priority: optional
 Maintainer: Debian Astronomy Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Thibaut Paumard <thibaut@debian.org>
-Build-Depends: debhelper-compat (= 12), yorick-dev, yorick-yutils,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), yorick-dev, yorick-yutils,
 	       libxerces-c-dev, libcfitsio-dev, libudunits2-dev, automake,
 	       libboost-dev (>= 1.53.1), libboost-mpi-dev,
-	       libflint-arb-dev, libflint-dev,
+	       libflint-dev (>= 3.0.0), libeigen3-dev,
 	       mpi-default-dev, dh-python,
 	       python3-all-dev, python3-setuptools,
-	       swig, python3-numpy, doxygen, dh-exec (>=0.3),
-	       pkg-config, liblorene-dev, lorene-codes-src, gfortran,
+	       swig, python3-numpy, python3-numpy-dev, doxygen, dh-exec (>=0.3),
+	       pkgconf, liblorene-dev, lorene-codes-src, gfortran,
 	       g++ (>= 4:7)
 Build-Depends-Indep: doxygen-latex,
                texlive-bibtex-extra, texlive-latex-base,
                texlive-lang-french, tipa
-Standards-Version: 4.5.0
+Standards-Version: 4.7.2
 Vcs-Git: https://salsa.debian.org/science-team/gyoto.git
 Vcs-Browser: https://salsa.debian.org/science-team/gyoto
 Homepage: http://gyoto.obspm.fr
@@ -26,7 +26,7 @@
 Depends: gyoto-bin     (>= ${source:Version}),
          yorick-gyoto  (>= ${source:Version}),
          python3-gyoto (>= ${source:Version}),
-         libgyoto8-dev (>= ${source:Version}),
+         libgyoto9-dev (>= ${source:Version}),
          ${shlibs:Depends}, ${misc:Depends}
 Recommends: mpi-default-bin
 Suggests: gyoto-doc
@@ -64,12 +64,15 @@
  This package contains the `gyoto' command-line utility. More complex
  uses of the Gyoto framework can be achieved using the python3-gyoto
  or yorick-gyoto packages. Gyoto can be extended with plug-ins (see
- libgyoto8-dev).
+ libgyoto9-dev).
  .
  MPI parallelization requires the mpi-default-bin package. Producing
  videos requires the python3-gyoto and python3-opencv packages.
 
-Package: libgyoto8
+Package: libgyoto9t64
+Provides: ${t64:Provides}
+Replaces: libgyoto9
+Breaks: libgyoto9 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -83,7 +86,7 @@
  library (this package), utility programs (in the gyoto package), and
  a plug-in for the Python 3 and Yorick programming languages (in
  python3-gyoto and yorick-gyoto respectively). Gyoto can be extended
- with plug-ins (see libgyoto8-dev).
+ with plug-ins (see libgyoto9-dev).
  .
  The standard plugin (stdplug) is included in this package. A plug-in
  for extending Gyoto in the Python 3 language is shipped in the
@@ -91,17 +94,17 @@
  .
  MPI parallelization requires the gyoto-bin and mpi-default-bin packages.
 
-Package: libgyoto8-dev
+Package: libgyoto9-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: ${shlibs:Depends}, ${misc:Depends},
-         libgyoto8 (= ${binary:Version}),
+         libgyoto9t64 (= ${binary:Version}),
          libc-dev, libxerces-c-dev, libcfitsio-dev, libudunits2-dev,
          libboost-dev (>= 1.53.1), libboost-mpi-dev, mpi-default-dev,
-         pkg-config
-Replaces: libgyoto2-dev, libgyoto4-dev, libgyoto6-dev, libgyoto7-dev
-Breaks:   libgyoto2-dev, libgyoto4-dev, libgyoto6-dev, libgyoto7-dev
+         pkgconf
+Replaces: libgyoto8-dev
+Breaks:   libgyoto8-dev
 Description: development files for libgyoto
  Gyoto aims at providing a framework for computing orbits and
  ray-traced images in General relativity.
