=== debian/rules ===
--- 
+++ 
@@ -13,12 +13,18 @@
 -include /usr/share/dpkg/buildflags.mk
 CPPFLAGS += -I$(CURDIR)/debian/include
 
+# Parallel builds
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    MAKEFLAGS += -j$(NUMJOBS)
+endif
+
 # Don't accidentally build the lorene plug-in
 unexport HOME_LORENE
 
 # Make sure we build with the right MPI implementation
 include /usr/share/mpi-default-dev/debian_defaults
-MPICXX := /usr/bin/mpic++.$(ARCH_DEFAULT_MPI_IMPL)
+MPICXX := /usr/bin/mpicxx.$(ARCH_DEFAULT_MPI_IMPL)
 export MPICXX
 CXX := $(shell readlink -e $(shell which $(firstword $(shell $(MPICXX) -show))))
 
@@ -57,10 +63,12 @@
 	dh_install -i
 
 override_dh_auto_build-arch:
+	$(MAKE) lib
+	$(MAKE) bin
 	$(MAKE) COPT_DEFAULT="" \
 	     Y_CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
 	     Y_LDFLAGS="$(LDFLAGS)" \
-	     lib bin yorick
+	     yorick
 	for badflag in -g -O2 -Werror=format-security -Wformat ; do \
 	 sed "s/ $${badflag}//" -i lib/gyoto.pc ; \
 	done
@@ -121,6 +129,3 @@
 	cp -a python/build/*/gyoto/_*.so python/gyoto/
 	LC_ALL=C.UTF-8 dh_auto_test -- check-lorene
 endif
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='gyoto-dbg (<< 1.3.0~rc1-1~)'
